
public class Class531 {

   public Interface55 anInterface55_7216;


   void method11189(RS2Buffer var1) {
      while(true) {
         int var2 = var1.readUnsignedByte(-700559597);
         if(0 == var2) {
            return;
         }

         if(1 == var2) {
            this.anInterface55_7216 = Class106.method2166(var1, 1504604048);
         }
      }
   }

   void method11190(RS2Buffer var1, byte var2) {
      while(true) {
         int var3 = var1.readUnsignedByte(-700559597);
         if(0 == var3) {
            return;
         }

         if(1 == var3) {
            this.anInterface55_7216 = Class106.method2166(var1, 172822504);
         }
      }
   }

   void method11191(RS2Buffer var1) {
      while(true) {
         int var2 = var1.readUnsignedByte(-700559597);
         if(0 == var2) {
            return;
         }

         if(1 == var2) {
            this.anInterface55_7216 = Class106.method2166(var1, -201357671);
         }
      }
   }

   public Class531(Class253 var1) {
      byte[] var2 = var1.method4512(Class537.aClass537_7298.anInt7300 * -1281620235, 749605384);
      this.method11190(new RS2Buffer(var2), (byte)107);
   }

   static final void method11192(Class508 var0, int var1) {
      var0.anInt6003 -= 294937419;
      Class435.method7337(var0.anIntArray6027[-937710807 * var0.anInt6003], var0.anIntArray6027[-937710807 * var0.anInt6003 + 1], var0.anIntArray6027[2 + -937710807 * var0.anInt6003], -1244046252);
   }

   static final void method11193(Class508 var0, byte var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class42 var3 = Class94.method1841(var2, (byte)79);
      int var4 = -1;
      if(null != var3) {
         var4 = -493367821 * var3.anInt445;
      }

      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = var4;
   }

   static final void method11194(Class508 var0, short var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 679266431 * Class72.anInt689 + Class215.anInt2532;
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class383.anInt4773 * 1215624379 + Class215.anInt2548;
   }

   static final void method11195(int var0, int var1, int var2, int var3, int var4, int var5, byte var6) {
      for(Class222_Sub6 var7 = (Class222_Sub6)client.aClass462_7675.method7792((byte)-30); null != var7; var7 = (Class222_Sub6)client.aClass462_7675.method7789((byte)43)) {
         if(var6 <= 64) {
            return;
         }

         if(-1255739433 * client.anInt7659 >= var7.anInt8847 * 995587279) {
            if(var6 <= 64) {
               return;
            }

            var7.method3830(2087671447);
         } else {
            Class100.method1982(1539440583 * var7.anInt8844, 256 + (1868163185 * var7.anInt8845 << 9), (var7.anInt8843 * 1082181251 << 9) + 256, -590140106 * var7.anInt8846, (byte)1);
            Class388.aClass8_4844.method615(var7.aString8849, (int)((float)var0 + client.aFloatArray7680[0]), (int)((float)var1 + client.aFloatArray7680[1]), -16777216 | var7.anInt8848 * -2084368653, 0, (byte)73);
         }
      }

   }

   static final void method11196(Class508 var0, int var1) {
      int var2 = var0.anIntArray6023[var0.anInt6025 * 1651565071];
      int var3 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      if(var3 >= 0 && var3 < var0.anIntArray6006[var2]) {
         var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = var0.anIntArrayArray6000[var2][var3];
      } else {
         throw new RuntimeException();
      }
   }
}
